Bug 1308461 - (CVE-2016-1544) CVE-2016-1544 nghttp2: out of memory error due to unlimited incoming HTTP header fields
CVE-2016-1544 nghttp2: out of memory error due to unlimited incoming HTTP hea...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160211,reported=2...
: Security
Depends On: 1308463 1308467 1308612
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 04:48 EST by Andrej Nemec
Modified: 2016-02-29 15:56 EST (History)
6 users (show)

See Also:
Fixed In Version: nghttp2 1.7.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-02-15 04:48:48 EST
A vulnerability was found in a way nghttp2 processes incoming packets.
Nghttpd, nghttp, and libnghttp2_asio applications do not limit the
memory usage for the incoming HTTP header field. If peer sends
specially crafted HTTP/2 HEADERS frames and CONTINUATION frames, they
will crash with out of memory error.

Upstream report and fix:

https://github.com/tatsuhiro-t/nghttp2/releases/tag/v1.7.1
Comment 1 Andrej Nemec 2016-02-15 04:49:31 EST
Created nghttp2 tracking bugs for this issue:

Affects: epel-7 [bug 1308463]
Comment 2 Andrej Nemec 2016-02-15 04:53:11 EST
Created nghttp2 tracking bugs for this issue:

Affects: fedora-all [bug 1308467]
Comment 3 Tomas Hoger 2016-02-15 10:38:58 EST
The fix seems to be spread across multiple commits.  The changes between 1.7.0 and 1.7.1 seem almost limited to this issue:

https://github.com/tatsuhiro-t/nghttp2/compare/v1.7.0...v1.7.1
Comment 6 Fedora Update System 2016-02-16 22:49:24 EST
nghttp2-1.7.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-02-22 15:50:13 EST
nghttp2-1.7.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-02-29 15:56:23 EST
nghttp2-1.7.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.